Macro.add('itemDescription', {
	skipArgs : false,
	handler  : function () {
		try {
            const itemIdOrItem:string|OutfitItem = this.args[0];

            let item:OutfitItem;
            if(typeof itemIdOrItem == 'string')
                item = OutfitItem.get(itemIdOrItem);
            else
                item = itemIdOrItem;

			jQuery(this.output).wiki(item.desc);
		}
		catch (ex) {
			return this.error('ERROR in say-widget: ' + ex.message);
		}
	}
});